#include <iostream>
#include <complex>
#include <iomanip>  // Zahlen bei Ausgabe formatieren
using namespace std;

typedef complex<double> cplx;

int main(void)
{    
    cplx c1 = 1i;  // Imaginäre Einheit
    cout << c1 << endl;

    cplx c2 = -2 + 2i;
    cout << real(c2) << endl;  // Realteil
    cout << imag(c2) << endl;  // Imaginärteil
    cout << abs(c2) << endl;   // Betrag
    cout << arg(c2) * 180 / M_PI << endl;  // Winkel

    // Komplexe e-Funktion
    cplx c3 = c2 * exp(-135 * M_PI / 180 * c1);
    cout << c3 << endl;

    // Nachkommastellen festlegen
    cout << fixed << setprecision(2) << real(c3) << endl;
    cout << fixed << setprecision(2) << imag(c3) << endl;
}
